.blink_me {
	animation: blinker 1s linear infinite;
}

@keyframes blinker {
	50% {
		opacity: 0;
	}
}

.character-title {
	border-radius: 10px;
	margin-top: -10px;
	margin-bottom: 20px;
	width: 100%;
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	min-height: 0px;
	background-color: #313131;
	border-bottom: 2px solid;
	color:white;
	box-shadow: 0px 0px 2px 0px #191919;
}

.job-title {
	border-radius: 10px;
	margin-top: -15px;
	margin-bottom: 30px;
	width: 100%;
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	min-height: 0px;
	color: white;
	background-color: #313131;
}


.duration-container {
	display: inline-block;
	width: -webkit-max-content;
	border-bottom-left-radius: 10px;
	border-bottom-right-radius: 10px;
	padding-left: 20px;
	padding-right: 20px;
	padding-top: 5px;
	padding-bottom: 5px;
	text-align: center;
	color: white;
	background-color: #313131;
}

.title-container {
	border-radius: 2px;
	margin: 10px;
	width: 50%;
	margin-left: auto;
	margin-right: auto;
	text-align: center;
	min-height: 0px;
	color: white;
	background-color: rgb(41, 41, 41);
	background-image: linear-gradient(transparent, #1b1b1b);
}

.btn-primary-blue {
	background-color: rgb(41, 41, 41);
	background-image: linear-gradient(transparent, #313131);
	transition: background-color 1s;
	color: white;
}

.btn-primary-blue:hover {
	background-color: rgb(20, 20, 20);
	color: rgb(212, 99, 99);
}

.customed-block {
	width: 50%;
	min-width: 50%;
	min-height: 20px;
	border-radius: 3px;
	border: 2px solid white;
}

.left {
	float: left;
}

.right {
	float: right;
}

.text-middle {
	vertical-align: middle;
}

.small-space {
	min-width: 35px;
	min-height: 35px;
	width: 35px;
	height: 35px;
}

.white-background {
	background-color: rgba(255, 255, 255, 0.3);
}

.max-width {
	width: 100%;
}

.all-max {
	width: 100%;
	max-width: 100%;
	min-width: 100%;
	height: 100%;
	min-height: 100%;
	max-height: 100%;
	margin: 0 0 0 0;
	padding: 0 0 0 0;
}

.without-padding {
	padding: 0;
}

.standard-space {
	width: 100%;
	min-width: 100%;
	min-height: 50px;
	height: 30%;
}

.very-small-space {
	min-width: 20px;
	min-height: 20px;
	width: 20px;
	height: 20px;
}

.very-small-left-margin {
	margin-left: 5px;
}

.very-small-right-margin {
	margin-right: 5px;
}

.space-out {
	margin: 5px;
}

.bottom-space-out {
	margin-bottom: 5px;
}

.darker {
	background-color: #1f1f1f;
	color: #dee1e6;
}

.absolute-center-middle {
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
}

.generalContainer {
	z-index: 0;
	background-color: #535353;
	border-radius: 5px;
	width: 80%;
	padding: 10px;
	border-top: 20px solid rgb(46, 46, 46);
	box-shadow: 0px 0px 9px 0px #383838;
}

.optionContainer {
	background-color: #535353;
	border-radius: 5px;
	width: 80%;
	max-width: 350px;
	padding: 10px;
	border-top: 20px solid rgb(46, 46, 46);
	box-shadow: 0px 0px 9px 0px #383838;
}

.btn-group-vertical > button {
	margin-bottom: 10px;
	border-radius: 2px !important;
}

.btn-group-vertical > div {
	margin-bottom: 10px;
	border-radius: 2px !important;
}

.container-center {
	margin-left: auto;
	margin-right: auto;
	width: 50%;
}

.btn-small {
	padding: 2px 2px;
	font-size: 10px;
}

.row-blue {
	color: #17a2b8;
}
.row-blue:hover {
	color: #17a2b8;
}

.text-center {
	text-align: center;
}

.btn-group-space {
	margin-bottom: 1rem;
}

#toast-container > div {
	opacity: 1;
}

.toast-gray .toast-title {
	color: white;
}

.whiteText {
	color: white;
}

.toast-gray {
	background-color: #252525;
	color:white;
	font-weight: bold;
}

.toast-red {
	background-color: #343a40;
	color: #EF5448;
	font-weight: bold;
}

.toast-white .toast-title {
	color: #343a40;
}

.toast-white {
	background-color: #dee1e6;
	color: #252525;
	font-weight: bold;
}

#app {
	height: 100%;
	min-height: 100%;
}

body {
	height: 100%;
	background-color: #303030;
}

.fill-moustache {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Characters/moustache.svg');
}

.fill-glass {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Characters/glass.svg');
}

.fill-orange-woman {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Characters/orangeWoman.svg');
}

.fill-circle-woman {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Characters/circleEaringWoman.svg');
}

.fill-blond-woman {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Characters/blondWoman.svg');
}

.fill-hat-man {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Characters/hatMan.svg');
}

.fill-death {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Characters/death.svg');
}

.fill-mayor {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Characters/mayor.svg');
}

.fill-default-smiley {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Smileys/defaultSmiley.svg');
}

.fill-wolf-smiley {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Smileys/wolfSmiley.svg');
}

.fill-begging-smiley {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Smileys/begging.svg');
}

.fill-voting-smiley {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Smileys/voting.svg');
}

.fill-target {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Smileys/target.svg');
}

.fill-danger-smiley {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Smileys/danger.svg');
}

.fill-death-smiley {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Smileys/death.svg');
}

.fill-magic-smiley {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Smileys/magicBall.svg');
}

.fill-phone {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Other/phone.svg');
}

.fill-mayor-smiley {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Smileys/mayorIcon.svg');
}

.fill-savingPotion-smiley {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Smileys/savingPotion.svg');
}

.fill-purple {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Colors/purple.svg');
}

.fill-potion-smiley {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Smileys/potion.svg');
}

.fill-sun {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Other/sun.svg');
}

.fill-left-arrow {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Other/leftArrow.svg');
}

.fill-right-arrow {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Other/rightArrow.svg');
}

.fill-moon {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Other/moon.svg');
}

.fill-red-aura {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Other/redAura.svg');
}

.fill-purple-aura {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Other/purpleAura.svg');
}

.fill-purple-color {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Colors/purple.svg');
}

.fill-blue-color {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Colors/blue.svg');
}

.fill-blueMarine-color {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Colors/blueMarine.svg');
}

.fill-brown-color {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Colors/brown.svg');
}

.fill-white-color {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Colors/white.svg');
}

.fill-green-color {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Colors/green.svg');
}

.fill-yellow-color {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Colors/yellow.svg');
}

.fill-rip {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Other/RIP.svg');
}

.fill-victory {
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-image: url('{{}}Other/victory.svg');
}

.character {
	position: relative;
	width: 15vh;
	height: 15vh;
}

.child {
	justify-self: center;
	align-self: center;
}

.rotating {
	-webkit-animation: rotating 15s linear infinite;
}

@-webkit-keyframes rotating {
	from {
		-webkit-transform: rotate(0deg);
	}
	to {
		-webkit-transform: rotate(360deg);
	}
}

.opacity-changing {
	-webkit-animation: opacity-changing 1s alternate infinite;
}

@-webkit-keyframes  opacity-changing {
	0% {
        opacity: 1;
    }
	100% {
        opacity: 0.5;
    }
}

.nightTime-animation {
	animation-name: nightTime;
	animation-duration: 4s;
	background-color: #123349;
}

@keyframes nightTime {
	0%  {background-color: #5DACF4;}
	100%  {background-color: #123349;}
}

.dayTime-animation {
	animation-name: dayTime;
	animation-duration: 4s;
	background-color: #5DACF4;
}

@keyframes dayTime {
	0% {background-color: #123349;}
	100%  {background-color: #5DACF4;}
}


@-webkit-keyframes rotating {
	from {
		-webkit-transform: rotate(0deg);
	}
	to {
		-webkit-transform: rotate(360deg);
	}
}

.bouncing-up-animation {
	animation: bouncing-up 0.5s alternate ease-in;
}

@keyframes bouncing-up {
	0% {
		transform: scale(.0);
	}
	75% {
		transform: scale(1.5);
	}
	90% {
		transform: scale(0.9);
	}
	100% {
		transform: scale(1);
	}
}


.bouncing-up-down-animation {
	animation: bouncing-up-down 0.4s alternate ease-in;
}

@keyframes bouncing-up-down {
	0% {
		transform: scale(1);
	}
	75% {
		transform: scale(1.5);
	}
	90% {
		transform: scale(0.9);
	}
	100% {
		transform: scale(1);
	}
}

.bouncing-down-up-animation {
	animation: bouncing-down-up 0.3s alternate ease-in;
}

@keyframes bouncing-down-up {
	0% {
		transform: scale(1);
	}
	25% {
		transform: scale(0.75);
	}
	50% {
		transform: scale(1.1);
	}
	75% {
		transform: scale(0.75);
	}
	100% {
		transform: scale(1);
	}
}

.bouncing-down-animation {
	animation: bouncing-down 0.3s alternate ease-in;
}

@keyframes bouncing-down {
	0% {
		transform: scale(1);
	}
	10% {
		transform: scale(0.9);
	}
	25% {
		transform: scale(1.5);
	}
	100% {
		transform: scale(.0);
	}
}

.inline-smiley {
	display: inline-block;
	width: 8vh;
	height: 8vh;
	min-width: 8vh;
	min-height: 8vh;
	max-width: 8vh;
	max-height: 8vh;
}

.smileyDiv {
	position: absolute;
	width: 6vh;
	height: 6vh;
	min-width: 6vh;
	min-height: 6vh;
	max-width: 6vh;
	max-height: 6vh;
}

.smiley-menu {
	display: inline-block;
	background-color: #313131;
	border-radius: 50px;
	border-bottom: 6px solid;
	width: -webkit-max-content;
	box-shadow: 0px 0px 5px 0px #191919;
}

.auto-width-content {
	width: -webkit-max-content;
}
